# Gmirator

This tool was made so I could write my content only in `gmi` and publish both a
gemini capsule and a website.

For now, this is very rudimentary and things are bound to change, especially the way
I structure the directory where my content lives.

## TODO

- [X] concatenate header + gmi2html + footer
- [ ] allow some special characters to start a `<p>`
    - like the `*` for emphasis or `~~` for a strikethrough
- [X] write the `gen_gmi` function
- [X] make the line "---\n" of the footer only present in the code, not in the footer
  file
- [-] make a config file for things like
    - certain variables should be made `CONSTANT` in the `__init__.py`
- [X] also update the "/gemlog/index.gmi" with the list of articles
- [X] write the sync features
- [X] test the `gen gmi` and `gen html` features
    - [ ] write tests for it
- [ ] move config file to `~/.config` with placeholder values
    - [X] check for a config file in `~/.config`
- [ ] maybe save the old Bash script somewhere for posterity ?

## My setup
My current folder structure for my capsule+website looks something like this:

```
my-internet
├── assets
│  ├── favicon.ico
│  └── style.css
├── content
│  ├── gemlog
│  │  └── index.gmi
│  ├── index.gmi
│  └── projects.gmi
├── footer.gmi
├── html-output
└── html-parts
   ├── footer-part.html
   └── header-part.html
```
