import typer
import subprocess
import shlex
from gmirator import (
    DIR_SOURCE,
    DIR_O_HTML,
    REM_HTML,
    REM_GMI,
    RPORT
)

app = typer.Typer(help="syncs your files with configured remote")

@app.command("gmi")
def sync_gmi():
    print("Synchronising GMI content with remote...")
    print(f'rsync -aP -e "ssh -p {RPORT}" {DIR_SOURCE} {REM_GMI}')
    subprocess.call(
        shlex.split(f'rsync -aP -e "ssh -p {RPORT}" {DIR_SOURCE} {REM_GMI}')
    )
    print("Done!")

@app.command("html")
def sync_html():
    print("Synchronising HTML content with remote...")
    subprocess.call(
        shlex.split(f'rsync -aP -e "ssh -p {RPORT}" {DIR_O_HTML} {REM_HTML}')
    )
    print("Done!")
