from pathlib import Path
import json


xdg_path = Path("~/.config/gmirator/config.json").expanduser()
cfg_file = xdg_path if xdg_path.exists() else "config.json"
with open(cfg_file) as f:
    config = json.load(f)

WORKDIR = Path(config["workdir"])
DIR_ASSETS  = WORKDIR / config["dir_assets"]
DIR_SOURCE  = WORKDIR / config["dir_source"]
DIR_HELPER  = WORKDIR / config["dir_helper"]
DIR_O_HTML  = WORKDIR / config["dir_o_html"]
GMI_FOOTER  = WORKDIR / "footer.gmi"

REM_HTML    = config["rem_html"]
REM_GMI     = config["rem_gmi"]
RPORT       = config["port"]
